Loading...
Searching...
No Matches
smartlock::DoorAccessControl::DoorAccessRuleDeletedEvent Struct Reference

Event: Door access rule deleted. More...

`import "DoorAccessControl.idl";`

Inheritance diagram for smartlock::DoorAccessControl::DoorAccessRuleDeletedEvent:

## Public Attributes

int | ruleId
| Id of deleted rule.
DoorAccessRule | rule
| Rule that was deleted, cardUid and pin will be filtered.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Door access rule deleted.

Definition at line 169 of file DoorAccessControl.idl.

## Member Data Documentation

## rule

DoorAccessRule smartlock::DoorAccessControl::DoorAccessRuleDeletedEvent::rule

Rule that was deleted, cardUid and pin will be filtered.

Definition at line 171 of file DoorAccessControl.idl.

## ruleId

int smartlock::DoorAccessControl::DoorAccessRuleDeletedEvent::ruleId

Id of deleted rule.

Definition at line 170 of file DoorAccessControl.idl.

The documentation for this struct was generated from the following file:

- DoorAccessControl.idl